import { createApp } from 'vue';
import './assets/css/index.css';
import App from './App.vue';
import { createPinia } from 'pinia';
import PrimeVue from 'primevue/config';
import ToastService from 'primevue/toastservice';
import Select from 'primevue/select';
import MultiSelect from 'primevue/multiselect';
import { router } from './router/router.js';

const app = createApp(App);
const pinia = createPinia();

app.use(pinia);
app.use(PrimeVue, {
  unstyled: true,
});
app.use(ToastService);
app.use(router);
app.component('Select', Select);
app.component('MultiSelect', MultiSelect);
app.mount('#app');
